/*
 * 各種情報表示
 */
void
putobject()
	{
	int	i;
	int	speedlevel;
	int	dat[13][2]={ 1,63,  1,54,  2,46,  5,39,  8,32, 13,25, 19,19,
		25,13, 32, 8, 39, 5, 46, 2, 54, 1, 63, 1 };

	// スコア
	StrDsp(16,16,"SCORE");
	NumDsp(64,16,ship.score);

	// スピードメータ
	speedlevel = 13 * (ship.zspeed+BASESPEED) / MAXSPEED;
	if ( speedlevel > 13 ) speedlevel = 13;
	for ( i = 0 ; i < speedlevel ; i++ )
		{
		SprPut(dat[i][0]+184,dat[i][1]+160,HED_SPEED+i);
		}

	// シールド
	if ( ship.flag != 0 )
		{
		for ( i = 0 ; i < ship.hp ; i++ )
			{
			SprPut(16+i*16,224,HED_LIFE);
			}
		}

	// メッセージ
	mutekicount--;
	if ( mutekicount < 0 ) mutekicount = 0;
	startcount--;
	if ( startcount < 0 ) startcount = 0;
	if ( startcount > 0 ) StrDspBig(80,110,"READY?");
	if ( deadcount > 0 )
		{
		deadcount++;
		if ( deadcount > 80 )
			{
			skipflag = 0;
			PaletteFadeBlack(0,0,511);
			DspWait();
			DspWait();
			Wait(60);
			entrycheck();
			}
		}
	if ( deadcount > 0 ) StrDspBig(64,110,"GAME OVER");

	DspWait();
	}
